-- adds tape to hud

local gnc = iup.GetNextChild
local gb = iup.GetBrother

local function add_tape()
	local zbox = gnc(HUD.dlg)

	local layers = {}

	local layer = gnc(zbox)
	while layer do
		local next = gb(layer)
	
		table.insert(layers, layer)
		layer:detach()
	
		layer = next
	end

	local image = iup.label{title="", image="plugins/tapehud/tapehud.png", size="FULLxFULL", bgcolor="&"}
	zbox:append(image)

	for _,v in ipairs(layers) do
		zbox:append(v)
	end

	table.insert(HUD.layers, image)
	iup.Refresh(HUD.dlg)
end

local function set_hud_event_cb()
	local OnEvent_old = HUD.OnEvent

	function HUD:OnEvent(name, ...)
		local ret = OnEvent_old(self, name, ...)
		if name == "rHUDxscale" then
			add_tape()
			set_hud_event_cb()
		end
		return ret
	end
end

add_tape()
set_hud_event_cb()